summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Plassmann2019-08-24 14:22:21 +0200
committerDavid Plassmann2019-08-24 14:22:21 +0200
commit3ed87cad91a88fb3df11b0d4712774c89e4c718b (patch)
tree3b03425c8993903dab2f3505a972c7878d4dd64c
downloadaur-3ed87cad91a88fb3df11b0d4712774c89e4c718b.tar.gz
Initial
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD29
2 files changed, 48 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e9dd23b0eb5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = ripasso-git
+ pkgdesc = A password manager that uses the file format of the standard unix password manager 'pass', implemented in rust.
+ pkgver = 1
+ pkgrel = 1
+ url = https://github.com/cortex/ripasso/
+ arch = x86_64
+ license = GPL3
+ makedepends = openssl
+ makedepends = libgit2
+ makedepends = gettext
+ makedepends = autoconf
+ makedepends = automake
+ makedepends = cargo
+ conflicts = ripasso
+ source = git://github.com/cortex/ripasso.git
+ md5sums = SKIP
+
+pkgname = ripasso-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b7e4c150741
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Alexander Kjäll <alexander.kjall@gmail.com>
+pkgname=ripasso-git
+pkgrelname=ripasso
+pkgver=149
+pkgrel=1
+pkgdesc="A password manager that uses the file format of the standard unix password manager 'pass', implemented in rust."
+url="https://github.com/cortex/ripasso/"
+arch=('x86_64')
+license=("GPL3")
+depends=()
+makedepends=('openssl' 'libgit2' 'gettext' 'autoconf' 'automake' 'cargo')
+source=("git://github.com/cortex/ripasso.git")
+conflicts=('ripasso')
+md5sums=('SKIP')
+
+build() {
+ cd "$pkgrelname" || exit 1
+ cargo build -p ripasso-cursive --release
+}
+
+pkgver() {
+ cd ${srcdir}/${pkgrelname} || exit 1
+ git rev-list --count HEAD
+}
+
+package() {
+ cd "$pkgrelname" || exit 1
+ install -Dm4555 "$srcdir/$pkgrelname/target/release/ripasso-cursive" "$pkgdir/usr/bin/$pkgrelname-cursive"
+}